package com.arms.api.report.rolling3m.service;

import com.arms.api.report.rolling3m.assignee.model.dto.Rolling3mDTO;
import com.arms.api.report.rolling3m.model.vo.ReqIssueDifficultyDistributionVO;
import com.arms.api.report.rolling3m.model.vo.ReqIssuePriorityDistributionVO;

public interface RequirementDistributionService {

    ReqIssueDifficultyDistributionVO selectReqIssueDifficultyDistributionByAssignee(Rolling3mDTO request);

    ReqIssueDifficultyDistributionVO selectReqIssueDifficultyDistribution(Rolling3mDTO request);

    ReqIssuePriorityDistributionVO selectReqIssuePriorityDistributionByAssignee(Rolling3mDTO request);

    ReqIssuePriorityDistributionVO selectReqIssuePriorityDistribution(Rolling3mDTO rolling3mDTO);
}
